[palladio-dev] Update problems, new repositories

Sebastian Lehrig lehrig at mail.uni-paderborn.de
Mon Mar 5 10:29:22 CET 2012


Hi,

currently I'm trying to run an update of my PCM workspace and encountered some problems. First, has the repository of the workflow engine (indigo/nightly) changed from
http://sdqweb.ipd.kit.edu/eclipse/workflow_nightly/
to
http://sdqweb.ipd.kit.edu/eclipse/workflowengine/nightly/
?
If so, why was there no mail in [palladio-dev]?


Second, some feature model dependencies let my update fail. I get this error message:
Cannot complete the install because one or more required items could not be found.
  Software being installed: ProbFunction Feature 3.1.0.201202222043NGT (de.uka.ipd.sdq.probfunction.feature.feature.group 3.1.0.201202222043NGT)
  Missing requirement: ProbFunction Feature 3.1.0.201202222043NGT (de.uka.ipd.sdq.probfunction.feature.feature.group 3.1.0.201202222043NGT) requires 'org.antlr.runtime 3.2.0' but it could not be found

I figured out, I only get errors when "de.uka.ipd.sdq.*.feature.feature.group" plugins are checked to be updated. The other plugins can be updated without a problem.
So, have I missed something about some feature model dependency?


Thanks & best regards
Sebastian


More information about the palladio-dev mailing list